<template>
  <v-row>
    <v-col>
      <price-recap :items="order.items"></price-recap>

      <v-row>
        <v-col>
          <h3>Delivery:</h3>
          <p>{{ JSON.parse(order.model.address).street }}</p>
          <p>{{ order.model.deliveryNotes }}</p>
        </v-col>
      </v-row>
      <v-row>
        <v-col>
          <h3>Payment method:</h3>
          <p>
            {{ paymentLabel }}
          </p>
        </v-col>
      </v-row>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    order: {
      type: Object,
      required: true,
    },
  },
  computed: {
    paymentLabel(): string {
      if (this.order.model.paymentMethod === 'cash') return 'Cash on delivery'

      if (JSON.parse(this.order.model.paymentMethod).cardNumber)
        return (
          '**** **** **** ' +
          JSON.parse(this.order.model.paymentMethod).cardNumber.slice(-4)
        )

      return ''
    },
  },
})
</script>
